Ginkgo: gko::experimental::mpi::environment Class Reference

| Ginkgo Generated from branch based on main. Ginkgo version 1.11.0 A numerical linear algebra library targeting many-core architectures

Loading...
Searching...
No Matches
gko::experimental::mpi::environment Class Reference

Class that sets up and finalizes the MPI environment. More...

`#include <ginkgo/core/base/mpi.hpp>`

## Public Member Functions
int | get_provided_thread_support () const
| Return the provided thread support.
| environment (int &argc, char **&argv, const thread_type thread_t=thread_type::serialized)
| Call MPI_Init_thread and initialize the MPI environment.
| ~environment ()
| Call MPI_Finalize at the end of the scope of this class.
| environment (const environment &)=delete
| environment (environment &&)=delete
environment & | operator= (const environment &)=delete
environment & | operator= (environment &&)=delete

## Static Public Member Functions
static bool | is_finalized ()
static bool | is_initialized ()

## Detailed Description

Class that sets up and finalizes the MPI environment.

This class is a simple RAII wrapper to MPI_Init and MPI_Finalize.

MPI_Init must have been called before calling any MPI functions.

Note
  If MPI_Init has already been called, then this class should not be used.

## Constructor & Destructor Documentation

## ◆ environment()

gko::experimental::mpi::environment::environment | ( | int & | argc,
|  | char **& | argv,
|  | const thread_type | thread_t = thread_type::serialized )
| inline

Call MPI_Init_thread and initialize the MPI environment.

Parameters

  argc | the number of arguments to the main function.
  argv | the arguments provided to the main function.
  thread_t | the type of threading for initialization. See @thread_type

## Member Function Documentation

## ◆ get_provided_thread_support()

int gko::experimental::mpi::environment::get_provided_thread_support | ( |  | ) | const
| inline

Return the provided thread support.

Returns
  the provided thread support

The documentation for this class was generated from the following file:

- ginkgo/core/base/mpi.hpp